Function
findIntervalsExcludeTouching
:Find all intervals that contain the query point, exclude intervals that touch the query, i.e. where the query point equals the start or end point.
findIntervalsExcludeTouching(graph, propertyMap, query, result)
findIntervalsExcludeTouching(intervalTree, query, result)
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

graph | The directed graph that contains the topography of the interval tree.
propertyMap | The property map containing the node properties of the interval tree
query | The TValue to query here.
result | The resulting string of cargos/ids of the intervals that contain the query point. Types: String
intervalTree | An interval tree Types: IntervalTree

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47